Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.delegate
Class HttpRepositoryDelegate

    java.lang.Object
      org.modeshape.jdbc.delegate.AbstractRepositoryDelegate
          org.modeshape.jdbc.delegate.HttpRepositoryDelegate

All Implemented Interfaces:
  RepositoryDelegate

    public class HttpRepositoryDelegate

extends AbstractRepositoryDelegate

The HTTPRepositoryDelegate provides remote Repository implementation to access the Jcr layer via HTTP lookup.

Field Summary
`static RepositoryDelegateFactory` | `FACTORY`
`protected static int` | `PROTOCOL_HTTP`

Fields inherited from class org.modeshape.jdbc.delegate.AbstractRepositoryDelegate
`LOGGER`

Constructor Summary
`HttpRepositoryDelegate(String url, Properties info, LocalJcrDriver.JcrContextFactory contextFactory)`

Method Summary
`void` | `close()` Call to close the delegate connection and any outstanding transactions will be closed.
`protected ConnectionInfo` | `createConnectionInfo(String url, Properties info)` The implementor must return a @link ConnectionInfo that provides the information that details r
`protected void` | `createRepository()` Implementor is responsible for creating the repository.
`QueryResult` | `execute(String query, String language)` Call to execute the sql `query` based on the specified Jcr language.
`String` | `getDescriptor(String descriptorKey)` Returns the value for the requested `descriptorKey`
`boolean` | `isValid(int timeout)`
`NodeType` | `nodeType(String name)` Call to get `NodeType` based on specified name
`List<NodeType>` | `nodeTypes()` Call to get all the `NodeType`s defined.

Methods inherited from class org.modeshape.jdbc.delegate.AbstractRepositoryDelegate
`closeStatement, commit, createConnection, getConnectionInfo, getRepository, getRepositoryName, getRepositoryNames, isWrapperFor, rollback, setRepository, setRepositoryName, setRepositoryNames, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL_HTTP

    protected static final int PROTOCOL_HTTP

See Also:
  Constant Field Values

### FACTORY

    public static final RepositoryDelegateFactory FACTORY

Constructor Detail

### HttpRepositoryDelegate

    public HttpRepositoryDelegate(String url,
                                  Properties info,
                                  LocalJcrDriver.JcrContextFactory contextFactory)

Method Detail

### createConnectionInfo

    protected ConnectionInfo createConnectionInfo(String url,
                                                  Properties info)

  Description copied from class: `AbstractRepositoryDelegate`
  The implementor must return a @link ConnectionInfo that provides the information that details r

  Returns:
    ConnectionInfo

### execute

    public QueryResult execute(String query,
                               String language)

  Description copied from interface: `RepositoryDelegate`
  Call to execute the sql `query` based on the specified Jcr language.

  Parameters:
    `query` - is the sql query to execute
    `language` - is the JCR language the `query` should be executed based on.
  Returns:
    QueryResult is the JCR query result

### getDescriptor

    public String getDescriptor(String descriptorKey)

  Returns the value for the requested `descriptorKey`

  Returns:
    String descriptor value
  See Also:
    `RepositoryDelegate.getDescriptor(java.lang.String)`

### nodeType

    public NodeType nodeType(String name)
                      throws RepositoryException

  Description copied from interface: `RepositoryDelegate`
  Call to get `NodeType` based on specified name

  Returns:
    NodeType
  Throws:
    `RepositoryException`

### nodeTypes

    public List<NodeType> nodeTypes()
                             throws RepositoryException

  Description copied from interface: `RepositoryDelegate`
  Call to get all the `NodeType`s defined.

  Returns:
    List of all the node types.
  Throws:
    `RepositoryException`

### createRepository

    protected void createRepository()
                             throws SQLException

  Description copied from class: `AbstractRepositoryDelegate`
  Implementor is responsible for creating the repository.

  Throws:
    `SQLException`

### isValid

    public boolean isValid(int timeout)

  Returns:
    boolean indicating if timeout is valid
  See Also:
    `Connection.isValid(int)`

### close

    public void close()

  Call to close the delegate connection and any outstanding transactions will be closed.

  Specified by:
    `close` in interface `RepositoryDelegate`
  Overrides:
    `close` in class `AbstractRepositoryDelegate`
  See Also:
    `Connection.close()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.